> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Copy Job

> Get the status of a copy job. Only the user who started the copy can see it.



## OpenAPI

````yaml /api-reference/openapi.json get /fs-items/copy/{job_id}
openapi: 3.1.0
info:
  title: Aspect API
  description: Manage and search media in Aspect.
  version: 1.0.0
servers:
  - url: https://api.aspect.inc
security:
  - ApiKeyAuth: []
tags:
  - name: Users
  - name: API Keys
  - name: Workspaces
  - name: Projects
  - name: Directories
  - name: Assets
  - name: Attachments
  - name: Filesystem Items
  - name: Collections
  - name: Comments
  - name: Search
  - name: Transcription
  - name: Metadata
  - name: Shares
  - name: Share Templates
  - name: Watermarks
paths:
  /fs-items/copy/{job_id}:
    get:
      tags:
        - Filesystem Items
      summary: Get Copy Job
      description: >-
        Get the status of a copy job. Only the user who started the copy can see
        it.
      operationId: get_copy_job
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CopyJobResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CopyJobResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Copy job ID
        status:
          $ref: '#/components/schemas/CopyJobStatus'
          description: Status of the job
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
          description: >-
            Short description of what is being copied: the item's name, or the
            number of items
        created:
          type: string
          format: date-time
          title: Created
          description: When the job was started
        finished_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finished At
          description: When the job completed or failed
        progress:
          $ref: '#/components/schemas/CopyJobProgress'
          description: How far the job has got
        result:
          anyOf:
            - $ref: '#/components/schemas/CopyJobResult'
            - type: 'null'
          description: The outcome of the job. Set once the job completes or fails.
      type: object
      required:
        - id
        - status
        - created
        - progress
      title: CopyJobResponse
      description: Status of a copy job.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CopyJobStatus:
      type: string
      enum:
        - running
        - completed
        - failed
      title: CopyJobStatus
      description: Status of a copy job. A job waiting to start counts as running.
    CopyJobProgress:
      properties:
        percent:
          type: number
          title: Percent
          description: Share of items copied or failed, from 0 to 1
        items_done:
          type: integer
          title: Items Done
          description: Number of items copied
        items_total:
          type: integer
          title: Items Total
          description: Number of items the job copies
        failed_items:
          type: integer
          title: Failed Items
          description: Number of items that could not be copied
        waiting_items:
          type: integer
          title: Waiting Items
          description: >-
            Number of videos waiting for their proxy before they can be copied.
            Only used when copying videos as proxies.
      type: object
      required:
        - percent
        - items_done
        - items_total
        - failed_items
        - waiting_items
      title: CopyJobProgress
      description: How far a copy job has got. Each asset and directory counts as one item.
    CopyJobResult:
      properties:
        items_skipped:
          type: boolean
          title: Items Skipped
          description: >-
            Whether some items, comments, or metadata were left out because you
            can't access them or they are in the trash
        failed_item_details:
          items:
            $ref: '#/components/schemas/CopyJobFailedItem'
          type: array
          title: Failed Item Details
          description: Items that could not be copied, up to 100
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Why the job failed. Set only when the job failed.
      type: object
      required:
        - items_skipped
        - failed_item_details
      title: CopyJobResult
      description: The outcome of a finished copy job.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CopyJobFailedItem:
      properties:
        source_id:
          type: string
          format: uuid
          title: Source Id
          description: ID of the item that was being copied
        name:
          type: string
          title: Name
          description: Name of the item
        error:
          type: string
          title: Error
          description: Why the item could not be copied
      type: object
      required:
        - source_id
        - name
        - error
      title: CopyJobFailedItem
      description: An item that could not be copied.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.